Множественные уязвимости в Node.js

Дата публикации:30.11.2015
Всего просмотров:2373
Опасность:
Средняя
Наличие исправления: Да
Количество уязвимостей:2
CVSSv2 рейтинг: 7.8 (AV:N/AC:L/Au:N/C:N/I:N/A:C/E:U/RL:OF/RC:C)
7.1 (AV:N/AC:M/Au:N/C:N/I:N/A:C/E:U/RL:OF/RC:C)
CVE ID: CVE-2015-8027
CVE-2015-6764
Вектор эксплуатации: Удаленная
Воздействие: Отказ в обслуживании
CWE ID: Нет данных
Наличие эксплоита: Нет данных
Уязвимые продукты: Node.js 0.x
Node.js 4.x
Node.js 5.x
Уязвимые версии: Node.js 0.12.x
Node.js 4.x
Node.js 5.x
Описание:

Уязвимости позволяют удаленному пользователю осуществить DoS-атаку.

1) Уязвимость существует из-за неизвестной ошибки. Удаленный пользователь может осуществить DoS-атаку.

2) Уязвимость существует из-за ошибки доступа за пределы памяти. Удаленный пользователь может с помощью специально сформированного запроса JavaScript осуществить DoS-атаку.

Примечание: уязвимость №2 не затрагивает Node.js версии 0.12.х.

URL производителя: http://nodejs.org
Решение: Выпуск исправления назначен на 2 декабря 2015 года.
Ссылки: https://nodejs.org/en/blog/vulnerability/cve-2015-8027_cve-2015-6764/